searchNodes=[{"doc":"The SimpleMqtt is a basic, single node pub-sub implementation where publishers and subscribers use topics and topics filters compatible with MQTT.It cannot replace a real MQTT broker, but can be used in a simple IoT device, with multiple local sensors and actuators that have to communicate with each other.","ref":"SimpleMqtt.html","title":"SimpleMqtt","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"SimpleMqtt.html#child_spec/1","title":"SimpleMqtt.child_spec/1","type":"function"},{"doc":"Publishes message to the given topic.Examples {:ok, pid} = SimpleMqtt.start_link() :ok = SimpleMqtt.publish(pid, &quot;things/sensor_1/temperature&quot;, &quot;34.5&quot;)","ref":"SimpleMqtt.html#publish/3","title":"SimpleMqtt.publish/3","type":"function"},{"doc":"Starts new Simple MQTT server and links it to the current process","ref":"SimpleMqtt.html#start_link/0","title":"SimpleMqtt.start_link/0","type":"function"},{"doc":"Subscribes the current process to the given list of topics. Each item in the list must be a valid MQTT filter.ExamplesIn the following example, the current process subscribes to two topic filters: {:ok, pid} = SimpleMqtt.start_link() :ok = SimpleMqtt.subscribe(pid, [&quot;things/sensor_1/+&quot;, &quot;things/sensor_2/+&quot;])If the process needs to monitor one more topic filter, it can call subscribe again. After this call, the current process will be subscribed to three topic filters. :ok = SimpleMqtt.subscribe(pid, [&quot;things/sensor_3/+&quot;])","ref":"SimpleMqtt.html#subscribe/2","title":"SimpleMqtt.subscribe/2","type":"function"},{"doc":"Unsubscribes the current process from the given list of topics.ExamplesIn the following example, the current process starts the Simple MQTT server, subscribes to two topic filters, and then unsubscribes from the second one. It will still receive messages published to a topic that matches the first filter. {:ok, pid} = SimpleMqtt.start_link() :ok = SimpleMqtt.subscribe(pid, [&quot;things/sensor_1/+&quot;, &quot;things/sensor_2/+&quot;]) :ok = SimpleMqtt.unsubscribe(pid, [&quot;things/sensor_2/+&quot;])In the second example, the current process unsubscribes from all topics. It will no longer receive any messages. {:ok, pid} = SimpleMqtt.start_link() :ok = SimpleMqtt.subscribe(pid, [&quot;things/sensor_1/+&quot;, &quot;things/sensor_2/+&quot;]) :ok = SimpleMqtt.unsubscribe(pid, :all)","ref":"SimpleMqtt.html#unsubscribe/2","title":"SimpleMqtt.unsubscribe/2","type":"function"},{"doc":"","ref":"SimpleMqtt.html#t:package_identifier/0","title":"SimpleMqtt.package_identifier/0","type":"type"},{"doc":"","ref":"SimpleMqtt.html#t:payload/0","title":"SimpleMqtt.payload/0","type":"type"},{"doc":"","ref":"SimpleMqtt.html#t:topic/0","title":"SimpleMqtt.topic/0","type":"type"},{"doc":"","ref":"SimpleMqtt.html#t:topic_filter/0","title":"SimpleMqtt.topic_filter/0","type":"type"},{"doc":"Represents collection of subscribed topics for multiple processes.","ref":"SimpleMqtt.Subscriptions.html","title":"SimpleMqtt.Subscriptions","type":"module"},{"doc":"Returns pids for all processes that subscribed to topics that match the given published topic.","ref":"SimpleMqtt.Subscriptions.html#list_matched/2","title":"SimpleMqtt.Subscriptions.list_matched/2","type":"function"},{"doc":"Creates new subscriptions collection.","ref":"SimpleMqtt.Subscriptions.html#new/0","title":"SimpleMqtt.Subscriptions.new/0","type":"function"},{"doc":"Adds a new subscription to the collection. If the same pid was already registered, the topics will be merged.","ref":"SimpleMqtt.Subscriptions.html#subscribe/3","title":"SimpleMqtt.Subscriptions.subscribe/3","type":"function"},{"doc":"Removes topics from the subscription.","ref":"SimpleMqtt.Subscriptions.html#unsubscribe/3","title":"SimpleMqtt.Subscriptions.unsubscribe/3","type":"function"},{"doc":"","ref":"SimpleMqtt.Subscriptions.html#t:subscriptions/0","title":"SimpleMqtt.Subscriptions.subscriptions/0","type":"type"},{"doc":"","ref":"SimpleMqtt.Topics.html","title":"SimpleMqtt.Topics","type":"module"},{"doc":"Checks whether the published topic matches the subscribed topic.Examplesiex&gt; SimpleMqtt.Topics.matches?([&quot;things&quot;, &quot;switch_1&quot;, &quot;on&quot;], [&quot;things&quot;, &quot;switch_1&quot;, &quot;on&quot;]) trueiex&gt; SimpleMqtt.Topics.matches?([&quot;things&quot;, &quot;switch_1&quot;, &quot;on&quot;], [&quot;things&quot;, &quot;switch_1&quot;, &quot;off&quot;]) falseiex&gt; SimpleMqtt.Topics.matches?([&quot;things&quot;, &quot;switch_1&quot;, &quot;on&quot;], [&quot;things&quot;, &quot;+&quot;, &quot;on&quot;]) trueiex&gt; SimpleMqtt.Topics.matches?([&quot;things&quot;, &quot;a&quot;, &quot;on&quot;], [&quot;things&quot;, &quot;a&quot;, &quot;+&quot;]) trueiex&gt; SimpleMqtt.Topics.matches?([&quot;things&quot;, &quot;switch_1&quot;, &quot;on&quot;], [&quot;things&quot;, &quot;+&quot;, &quot;off&quot;]) falseiex&gt; SimpleMqtt.Topics.matches?([&quot;things&quot;, &quot;switch_1&quot;, &quot;on&quot;], [&quot;things&quot;, &quot;switch_1&quot;, &quot;#&quot;]) trueiex&gt; SimpleMqtt.Topics.matches?([&quot;things&quot;, &quot;switch_1&quot;, &quot;on&quot;], [&quot;things&quot;, &quot;#&quot;]) trueiex&gt; SimpleMqtt.Topics.matches?([&quot;things&quot;, &quot;switch_1&quot;, &quot;on&quot;], [&quot;#&quot;]) trueiex&gt; SimpleMqtt.Topics.matches?([&quot;things&quot;, &quot;switch_1&quot;, &quot;on&quot;], [&quot;devices&quot;, &quot;#&quot;]) false","ref":"SimpleMqtt.Topics.html#matches?/2","title":"SimpleMqtt.Topics.matches?/2","type":"function"},{"doc":"Parses topic for published message.Examplesiex&gt; SimpleMqtt.Topics.parse_published_topic(&quot;things/switch_1/on&quot;)iex&gt; SimpleMqtt.Topics.parse_published_topic(&quot;/things/switch_1/on&quot;)iex&gt; SimpleMqtt.Topics.parse_published_topic(&quot;&quot;) :erroriex&gt; SimpleMqtt.Topics.parse_published_topic(&quot;/+&quot;) :error","ref":"SimpleMqtt.Topics.html#parse_published_topic/1","title":"SimpleMqtt.Topics.parse_published_topic/1","type":"function"},{"doc":"Parses filter for subscribed topics.Examplesiex&gt; SimpleMqtt.Topics.parse_subscribed_topic(&quot;things/switch_1/on&quot;)iex&gt; SimpleMqtt.Topics.parse_subscribed_topic(&quot;/things/switch_1/on&quot;)iex&gt; SimpleMqtt.Topics.parse_subscribed_topic(&quot;&quot;) :erroriex&gt; SimpleMqtt.Topics.parse_subscribed_topic(&quot;+&quot;)iex&gt; SimpleMqtt.Topics.parse_subscribed_topic(&quot;+/switch_1/on&quot;)iex&gt; SimpleMqtt.Topics.parse_subscribed_topic(&quot;switch_1/+/on&quot;)iex&gt; SimpleMqtt.Topics.parse_subscribed_topic(&quot;things/#&quot;)iex&gt; SimpleMqtt.Topics.parse_subscribed_topic(&quot;#&quot;)iex&gt; SimpleMqtt.Topics.parse_subscribed_topic(&quot;#/switch_1/on&quot;) :error","ref":"SimpleMqtt.Topics.html#parse_subscribed_topic/1","title":"SimpleMqtt.Topics.parse_subscribed_topic/1","type":"function"},{"doc":"","ref":"SimpleMqtt.Topics.html#t:published_topic/0","title":"SimpleMqtt.Topics.published_topic/0","type":"type"},{"doc":"","ref":"SimpleMqtt.Topics.html#t:subscribed_topic/0","title":"SimpleMqtt.Topics.subscribed_topic/0","type":"type"}]